Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class DefElementImpl

`java.lang.Object
oracle.xml.parser.v2.XMLNode
oracle.xml.parser.v2.XMLNSNode
oracle.xml.parser.v2.XMLElement
oracle.jbo.mom.xml.DefElementImpl`

All Implemented Interfaces:
  java.lang.Cloneable, CXMLConstants, DefElement, DefNode, Element, ElementEditVAL, EventTarget, java.io.Externalizable, Node, NodeEditVAL, NSName, NSName, NSResolver, java.io.Serializable, XMLConstants

public class DefElementImpl
extends XMLElement
implements java.io.Serializable, DefElement

This class extends the JBO implementation of the `XMLElement` class. These are created by the XML parser when using the JBONodeFactory.

See Also:
  `XMLElement`, `XMLParser`, Serialized Form

Field Summary

Fields inherited from class oracle.xml.parser.v2.XMLElement
`ANY_CONTENTTYPE, ELEMENTS_CONTENTTYPE, EMPTY_CONTENTTYPE, MIXED_CONTENTTYPE`

Fields inherited from class oracle.xml.parser.v2.XMLNode
`ATTRDECL, Auto_Events, capturing, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_POSITION_SAME, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, LAZY_NODE, NAMESPACE_NODE, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, SCHEMA_NILLED, SCHEMA_VALID, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XDB_DATA, XMLDECL_NODE`

Fields inherited from interface oracle.jbo.mom.xml.DefNode
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, ELEMENT_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.validation.ElementEditVAL
`VAL_ANY_CONTENTTYPE, VAL_ELEMENTS_CONTENTTYPE, VAL_EMPTY_CONTENTTYPE, VAL_MIXED_CONTENTTYPE, VAL_SIMPLE_CONTENTTYPE`

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Fields inherited from interface oracle.xml.comp.CXMLConstants
`ATTR_DEF, ATTR_TOKEN, ATTRDECL_DEF, CDATA_DEF, CHAR_DEF, COMMENT_DEF, COMPRESSED_STREAM_VERSION, CXML_VERSION_1, CXML_VERSION_2, cXMLFILE, cXMLFILE_LEN, DTD_DEF, ELEM_SIZE, ELEMENTDECL_DEF, ENCODING, END, ENTITY_DEF, ENTITYREF_DEF, names, NOTATION_DEF, NS_DEF, NS_TOKEN, NULLSTR, PI_DEF, PREFIX_DEF, STANDALONE, STANDALONE_NO, STANDALONE_NONE, STANDALONE_YES, TAG_DEF, TAG_TOKEN, TYPE_4BYTES, TYPE_DEF, TYPE_GLOBAL, TYPE_NILLABLE, TYPE_SIMPLE, TYPE_TOKEN, XMLDECL_DEF, XMLVERSION`

Fields inherited from interface oracle.xml.parser.v2.XMLConstants
`AMP, ASTERISK, AUTO_VALIDATION, cANY, cATTLIST, cCDATA, cCDATAEND, cCDATASTART, cCOMMENTEND, cCOMMENTSTART, cDECCREF, cDECLSTART, cDOCTYPE, cELEMENT, cEMPTY, cEMPTYTAGEND, cENCODING, cENDTAGSTART, cENTITIES, cENTITY, cFIXED, cHEXCREF, cID, cIDREF, cIDREFS, cIGNORE, cIMPLIED, cINCLUDE, cNDATA, cNMTOKEN, cNMTOKENS, cNOTATION, COLON, COMMA, cPIEND, cPISTART, cPUBLIC, cREQUIRED, cSTANDALONE, cSYSTEM, cVERSION, cXML, DEFAULT_HASHSIZE_BIG, DEFAULT_HASHSIZE_SMALL, DEFAULT_PREFIX, DOUBLEQUOTE, DTD_VALIDATION, EOF, EQ, ERROR, EXCLAMATION, EXT_GEN_ENTITY_FEATURE, EXT_PAR_ENTITY_FEATURE, FATAL_ERROR, FDIGIT, FLETTER, FMISCNAME, FSTARTNAME, FWHITESPACE, HASH, ICOUNT, ISTART, LEFTSQB, LPAREN, nameCDATA, nameCOMMENT, nameDOCUMENT, nameDOCUMENTFRAGMENT, nameENCODING, nameNameSpace, NAMESPACE_FEATURE, NAMESPACE_PREFIX_FEATURE, nameSpaceSeparator, nameSTANDALONE, nameTEXT, nameVERSION, nameXML, nameXMLLang, nameXMLNamespace, nameXMLNSNamespace, nameXMLSpace, nameXSLPI, NONVALIDATING, OR, PARTIAL_VALIDATION, PERCENT, PLUS, QMARK, QUOTE, RIGHTSQB, RPAREN, SCHEMA_LAX_VALIDATION, SCHEMA_STRICT_VALIDATION, SCHEMA_VALIDATION, SEMICOLON, SLASH, STRING_INTERN_FEATURE, TAGEND, TAGSTART, USE_LOC2_FEATURE, VALIDATION_FEATURE, WARNING`

Constructor Summary
`DefElementImpl(java.lang.String tagName)`

Method Summary
`DefElement` | `findChildElement(java.lang.String childName)` Finds the first child element of the given node name
`com.sun.java.util.collections.ArrayList` | `getAttrsList()` Gets all the attributes of the element, in no particular order.
`DefElementImpl` | `getChildElement(java.lang.String childName)`
`java.util.Vector` | `getChildren(java.lang.String childName)` Gets the child elements of the given node name.
`com.sun.java.util.collections.ArrayList` | `getChildrenList()` Gets all the child elements.
`com.sun.java.util.collections.ArrayList` | `getChildrenList(short[] nodeTypes)` Gets all the child nodes of the given types.
`com.sun.java.util.collections.ArrayList` | `getChildrenList(short[] nodeTypes, java.lang.String childName)` Gets the child nodes of the given types and node name.
`com.sun.java.util.collections.ArrayList` | `getChildrenList(java.lang.String childName)` Gets the child elements of the given node name.
`java.lang.String` | `getElementName()` Retrieves the node name of the element as a string.
`java.util.Vector` | `getSimilarChildren(java.lang.String childName)` Gets the child elements with node names "similar to" the given node name (i.e.
`com.sun.java.util.collections.ArrayList` | `getSimilarChildrenList(java.lang.String childName)` Gets the child elements with node names "similar to" the given node name (i.e.
`java.util.Hashtable` | `loadProperties()` Loads the Jbo Properties
`com.sun.java.util.collections.HashMap` | `loadPropertiesMap()` Loads the Jbo Properties
`java.util.Hashtable` | `loadTable(java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value)`
`com.sun.java.util.collections.HashMap` | `loadTableMap(java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value)`
`boolean` | `readBoolean(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.lang.Class` | `readClassName(java.lang.String attrName)`
`int` | `readInt(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute and returns the int value.
`long` | `readLong(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.lang.String` | `readString(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.util.Vector` | `readStringArray(java.lang.String attrName)` Given the Attribute name loads the array
`com.sun.java.util.collections.ArrayList` | `readStringArrayList(java.lang.String attrName)` Given the Attribute name loads the array
`com.sun.java.util.collections.ArrayList` | `readStringArrayListElement(java.lang.String attrName)` Given the Attribute name loads the array
`java.lang.String` | `readUserNodeValue(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute

Methods inherited from class oracle.xml.parser.v2.XMLElement
`canAppendChild, canInsertBefore, canRemoveAttribute, canRemoveAttributeNode, canRemoveAttributeNS, canRemoveChild, canReplaceChild, canSetAttribute, canSetAttributeNode, canSetAttributeNS, canSetTextContent, checkTypeNSName, getAllNamespaceAttrs, getAllowedAttributes, getAllowedChildren, getAllowedFirstChildren, getAllowedNextSiblings, getAllowedParents, getAllowedPreviousSiblings, getAttribute, getAttributeNode, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getChildrenByTagName, getChildrenByTagName, getContentType, getDefaultValue, getElementsByTagName, getElementsByTagName, getElementsByTagNameNS, getEnumeratedValues, getExpandedName, getFirstAttribute, getLocalName, getNamespace, getNamespaceURI, getNextSiblingByName, getNodeName, getNodeType, getPrefix, getQName, getQualifiedName, getRequiredAttributes, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isElementDefined, isElementDefinedNS, nodeValidity, normalize, readExternal, readExternal, removeAttribute, removeAttributeNode, removeAttributeNS, reportSAXEvents, resolveNamespacePrefix, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setPrefix, setTagName, validateContent, validateContent, validateContent, validateContent, validateContent, writeExternal, writeExternal`

Methods inherited from class oracle.xml.parser.v2.XMLNSNode
`addText, addText, appendChild, checkDocument, getChildNodes, getFirstChild, getLastChild, getNodeLocalName, getText, insertBefore, removeChild, replaceChild`

Methods inherited from class oracle.xml.parser.v2.XMLNode
`addEventListener, cloneNode, compareDocOrder, compareDocumentPosition, copyNode, createChildFromOffset, dispatchEvent, equals, freeNode, getBaseURI, getColumnNumber, getDebugMode, getDocOrderId, getDocument, getEndTagLineNum, getFeature, getLineNumber, getNextSibling, getNodePrefix, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getPrimitiveTypeId, getProperty, getSchemaTypeName, getSrcRoot, getSystemId, getTextContent, getUniqueId, getUserData, getXMLError, hasChildNodes, hashCode, isDefaultNamespace, isDocumentFlag, isEqualNode, isNodeFlag, isSameNode, isSupported, lookupByTagName, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, makeDocumentOrder, print, print, print, print, readChildNodes, removeEventListener, resetNodeFlag, selectNodes, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setDebugInfoEndTagLineNum, setNodeFlag, setNodeFlag, setNodeFlag, setNodeId, setNodeValue, setPrimitiveTypeId, setProperty, setTextContent, setUserData, supports, transformNode, valueOf, valueOf, xdbGetNodeId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.mom.xml.DefElement
`getAttribute, getAttributes, getChildNodes, getChildrenByTagName, getChildrenByTagName, getOwnerDocument, getTagName, removeAttribute, setAttribute`

Methods inherited from interface oracle.jbo.mom.xml.DefNode
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, isSupported, removeChild, replaceChild, setNodeValue`

Constructor Detail

### DefElementImpl

    public DefElementImpl(java.lang.String tagName)

Method Detail

### getElementName

    public java.lang.String getElementName()

  Retrieves the node name of the element as a string. The string will be in uppercase. ### [edelaube 2005/02/19] really??
  Specified by:
    `getElementName` in interface `DefElement`
  Returns:
    Returns the node name of the element.

### getChildren

    public java.util.Vector getChildren(java.lang.String childName)

  Gets the child elements of the given node name.
  Specified by:
    `getChildren` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child Vector.

### getChildElement

    public DefElementImpl getChildElement(java.lang.String childName)

### findChildElement

    public DefElement findChildElement(java.lang.String childName)

  Finds the first child element of the given node name
  Specified by:
    `findChildElement` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList()

  Gets all the child elements.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(short[] nodeTypes)

  Gets all the child nodes of the given types.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `nodeTypes` - the types of nodes to be retrieved. Notes: (1) Only ELEMENT_NODE, TEXT_NODE, and CDATA_SECTION_NODE are currently supported. (2) The order in which node types are listed has no effect, even on performance.
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(java.lang.String childName)

  Gets the child elements of the given node name.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(short[] nodeTypes,
                                                                   java.lang.String childName)

  Gets the child nodes of the given types and node name.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `nodeTypes` - the types of nodes to be retrieved. Notes: (1) Only ELEMENT_NODE, TEXT_NODE, and CDATA_SECTION_NODE are currently supported. (2) The order in which node types are listed has no effect, even on performance.
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child ArrayList.

### getSimilarChildren

    public java.util.Vector getSimilarChildren(java.lang.String childName)

  Gets the child elements with node names "similar to" the given node name (i.e. whose node names contain the given node name as a substring).
  Specified by:
    `getSimilarChildren` in interface `DefElement`
  Parameters:
    `childName` - the substring within node name of the child.
  Returns:
    Returns the child Vector.

### getSimilarChildrenList

    public com.sun.java.util.collections.ArrayList getSimilarChildrenList(java.lang.String childName)

  Gets the child elements with node names "similar to" the given node name (i.e. whose node names contain the given node name as a substring).
  Specified by:
    `getSimilarChildrenList` in interface `DefElement`
  Parameters:
    `childName` - the substring within node name of the child.
  Returns:
    Returns the child ArrayList.

### getAttrsList

    public com.sun.java.util.collections.ArrayList getAttrsList()

  Gets all the attributes of the element, in no particular order.
  Specified by:
    `getAttrsList` in interface `DefElement`
  Returns:
    ArrayList of DefNode objects that represent the attributes.

### readInt

    public int readInt(java.lang.String attrName)

  Given the Object name and Attribute name loads that attribute and returns the int value. If no such attribute found, returns 0 for the attribute default value.
  Specified by:
    `readInt` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readLong

    public long readLong(java.lang.String attrName)

  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readLong` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readBoolean

    public boolean readBoolean(java.lang.String attrName)

  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readBoolean` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readString

    public java.lang.String readString(java.lang.String attrName)

  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readString` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readUserNodeValue

    public java.lang.String readUserNodeValue(java.lang.String attrName)

  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readUserNodeValue` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readStringArray

    public java.util.Vector readStringArray(java.lang.String attrName)

  Given the Attribute name loads the array
  Specified by:
    `readStringArray` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readStringArrayList

    public com.sun.java.util.collections.ArrayList readStringArrayList(java.lang.String attrName)

  Given the Attribute name loads the array
  Specified by:
    `readStringArrayList` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readStringArrayListElement

    public com.sun.java.util.collections.ArrayList readStringArrayListElement(java.lang.String attrName)

  Given the Attribute name loads the array
  Specified by:
    `readStringArrayListElement` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readClassName

    public java.lang.Class readClassName(java.lang.String attrName)

  Specified by:
    `readClassName` in interface `DefElement`

### loadProperties

    public java.util.Hashtable loadProperties()

  Loads the Jbo Properties
  Specified by:
    `loadProperties` in interface `DefElement`
  Returns:
    Returns the Properties hashtable

### loadPropertiesMap

    public com.sun.java.util.collections.HashMap loadPropertiesMap()

  Loads the Jbo Properties
  Specified by:
    `loadPropertiesMap` in interface `DefElement`
  Returns:
    Returns the Properties hashtable

### loadTable

    public java.util.Hashtable loadTable(java.lang.String attrName,
                                         java.lang.String elemName,
                                         java.lang.String name,
                                         java.lang.String value)

  Specified by:
    `loadTable` in interface `DefElement`

### loadTableMap

    public com.sun.java.util.collections.HashMap loadTableMap(java.lang.String attrName,
                                                              java.lang.String elemName,
                                                              java.lang.String name,
                                                              java.lang.String value)

  Specified by:
    `loadTableMap` in interface `DefElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.